function vw_cleaning_company_menu_open_nav() {
	window.vw_cleaning_company_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function vw_cleaning_company_menu_close_nav() {
	window.vw_cleaning_company_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
   	jQuery('.main-menu > ul').superfish({
		delay:       500,
		animation:   {opacity:'show',height:'show'},
		speed:       'fast'
   	});
});

jQuery(document).ready(function () {
	window.vw_cleaning_company_currentfocus=null;
  	vw_cleaning_company_checkfocusdElement();
	var vw_cleaning_company_body = document.querySelector('body');
	vw_cleaning_company_body.addEventListener('keyup', vw_cleaning_company_check_tab_press);
	var vw_cleaning_company_gotoHome = false;
	var vw_cleaning_company_gotoClose = false;
	window.vw_cleaning_company_responsiveMenu=false;
 	function vw_cleaning_company_checkfocusdElement(){
	 	if(window.vw_cleaning_company_currentfocus=document.activeElement.className){
		 	window.vw_cleaning_company_currentfocus=document.activeElement.className;
	 	}
 	}
 	function vw_cleaning_company_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.vw_cleaning_company_responsiveMenu){
			if (!e.shiftKey) {
				if(vw_cleaning_company_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				vw_cleaning_company_gotoHome = true;
			} else {
				vw_cleaning_company_gotoHome = false;
			}

		}else{

			if(window.vw_cleaning_company_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.vw_cleaning_company_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.vw_cleaning_company_responsiveMenu){
				if(vw_cleaning_company_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					vw_cleaning_company_gotoClose = true;
				} else {
					vw_cleaning_company_gotoClose = false;
				}
			
			}else{

			if(window.vw_cleaning_company_responsiveMenu){
			}}}}
		}
	 	vw_cleaning_company_checkfocusdElement();
	}
});

(function( $ ) {
	jQuery('document').ready(function($){
	    setTimeout(function () {
    		jQuery("#preloader").fadeOut("slow");
	    },1000);
	});

	$(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});

	/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
	// Sticky Copyright
	  $(window).scroll(function(){
	    var sticky = $('.copyright-sticky'),
	      scroll = $(window).scrollTop();

	    if (scroll >= 100) sticky.addClass('copyright-fixed');
	    else sticky.removeClass('copyright-fixed');
	  });

	$(document).ready(function () {
		$(window).scroll(function () {
		    if ($(this).scrollTop() > 100) {
		        $('.scrollup i').fadeIn();
		    } else {
		        $('.scrollup i').fadeOut();
		    }
		});
		$('.scrollup i').click(function () {
		    $("html, body").animate({
		        scrollTop: 0
		    }, 600);
		    return false;
		});
	});
})( jQuery );



jQuery(document).ready(function () {
	  function vw_cleaning_company_search_loop_focus(element) {
	  var vw_cleaning_company_focus = element.find('select, input, textarea, button, a[href]');
	  var vw_cleaning_company_firstFocus = vw_cleaning_company_focus[0];  
	  var vw_cleaning_company_lastFocus = vw_cleaning_company_focus[vw_cleaning_company_focus.length - 1];
	  var KEYCODE_TAB = 9;

	  element.on('keydown', function vw_cleaning_company_search_loop_focus(e) {
	    var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

	    if (!isTabPressed) { 
	      return; 
	    }

	    if ( e.shiftKey ) /* shift + tab */ {
	      if (document.activeElement === vw_cleaning_company_firstFocus) {
	        vw_cleaning_company_lastFocus.focus();
	          e.preventDefault();
	        }
	      } else /* tab */ {
	      if (document.activeElement === vw_cleaning_company_lastFocus) {
	        vw_cleaning_company_firstFocus.focus();
	          e.preventDefault();
	        }
	      }
	  });
	}
	jQuery('.search-box span a').click(function(){
        jQuery(".serach_outer").slideDown(1000);
    	vw_cleaning_company_search_loop_focus(jQuery('.serach_outer'));
    });

    jQuery('.closepop a').click(function(){
        jQuery(".serach_outer").slideUp(1000);
    });
});

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_cleaning_company_progressBar =
        document.getElementById("vw_cleaning_company_elemento_progress_bar");
    if (!vw_cleaning_company_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_cleaning_company_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_cleaning_company_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_cleaning_company_scrolled =
            (vw_cleaning_company_scrollTop / vw_cleaning_company_height) * 100;
        vw_cleaning_company_progressBar.style.width =
            vw_cleaning_company_scrolled + "%";
    });
});